> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-2/the-user-sequence-object.md).

# The User Sequence object

**Response Structure**:

<pre class="language-json"><code class="lang-json">
        {
            "id": "4f02f472-2c15-436d-8a73-ff316cb9a78b",
            "user_info": {
                "id": "2c5f6853-7d10-427b-934b-1abc8d0ddcf1",
                "first_name": "Bill",
                "last_name": "Flood",
                "email": "bill.flood@domain.com",
                "gender": null,
                "address": "",
                "phone_number": "3343455454",
                "date_of_birth": null,
                "timezone": "America/Toronto",
                "address_coordinates": null
            },
            "sequence_info": {
                "id": "071ed9bf-ccce-4a31-9ce5-96fd6a0df0d9",
                "title": "Sample Sequence Title",
                "description": "&#x3C;p>Sample&#x3C;/p>",
                "sequence_status": "Published",
                "display_status": "Public",
                "step_info": [
                    {
                        "step": 2,
                        "type": 4,
                        "custom_step_details": [
                            {
                                "title": "Custom Step (No file)",
                                "description": "&#x3C;p>Sample description of a step&#x3C;/p>",
                                "user_sequence_info": {
                                    "id": "11254adc-444e-4b77-a51c-222c4ed7b8cf",
                                    "status": 1,
                                    "completion_date": "2024-10-10T08:04:01.798052Z",
                                    "expiration_date": null,
                                    "attachment_added": null
                                }
                            }
                        ]
                    },
                    {
                        "step": 1,
                        "type": 3,
                        "custom_step_details": [
                            {
                                "title": "Background checks 2",
                                "description": "&#x3C;p>Sample&#x3C;/p>",
                                "user_sequence_info": {
                                    "id": "892d267e-b337-4baa-b95e-90f59a61df40",
                                    "status": 1,
                                    "<a data-footnote-ref href="#user-content-fn-1">completion_date</a>": "2024-10-10T08:03:58.176127Z",
                                    "expiration_date": null,
                                    "attachment_added": null
                                }
                            }
                        ]
                    }
                ]
            },
            "status": "Active",
            "created_at": "2024-10-10T08:03:23.530521Z",
            "updated_at": "2024-10-10T08:03:58.998298Z"
        },
</code></pre>

#### Detailed Component Breakdown

**Sequence Object**

Each sequence object in the list includes comprehensive details about the user and the sequence:

* **id (**`string`**)**: Unique identifier for the relationship between the user and the sequence.
* [**user\_info**](#user-info-object) **(**`User Info Object`**)**: Contains details about the user associated with the sequence.
* [**sequence\_info**](#sequence-info-object) **(**`Sequence Info Object`**)**: Detailed information about the sequence.
* **status (**`string`**)**: Current status of the user in the sequence, including:
  * **Active**: User is actively in this sequence.
  * **Paused**: The user has been paused in this sequence.
  * **Inactive**: The user is inactive in this sequence.
  * **Finished**: The user has finished this sequence.
* **created\_at (**`string`**)**: Timestamp indicating when the user was added to the sequence.
* **updated\_at (**`string`**)**: Timestamp indicating the last update made to this user in the the sequence.

#### **User Info Object**

Provides information about the user associated with the sequence:

* **id (**`string`**)**: Unique identifier of the user.
* **first\_name (**`string`**)**: First name of the user.
* **last\_name (**`string`**)**: Last name of the user.
* **email (**`string`**)**: Email address of the user.
* **gender (**`integer | null`**)**: Gender of the user (if provided).
  * `0` = Male
  * `1` = Female
  * `2` = Other
  * `3` = User inputted they would rather not say
* **address (**`string`**)**: Complete address of the user.
* **phone\_number (**`string`**)**: Phone number of the user.
* **date\_of\_birth** `(string | null`**)**: Date of birth of the user.
* **timezone (string)**: Timezone of the user.
* **address\_coordinates** **(**`array | null`**)**: Geographic coordinates of the user if an address was address via Google Maps. If the address was added via the import process, this data would not be available.

#### **Sequence Info Object**

Detailed data about the sequence:

* **id (**`string`**)**: Unique identifier for the sequence.
* **title (**`string`**)**: Title of the sequence.
* **description (**`string`**)**: HTML content describing the sequence.
* **display\_status (**`string`**)**: Visibility status of the sequence (e.g., Public, Private).
  * **Public**: The user is able to see they are in this sequence.
  * **Private**: The user is unable to see they are in the sequence (it is only for admins to manage).
* [**step\_info** ](#step-info-object)**(array of Step Info Objects)**: Detailed steps included in the sequence.

#### Step Info Object

Each step within a sequence is detailed here:

* **step (integer)**: Sequential order number of the step.
* **type (integer)**: Type of step it is, including:
  * `0` = Forms And Waiver
  * `1` = Interview
  * `2` = Training
  * `3` = Orientation
  * `4` = Custom
  * `5` = Electronic Signature
  * `6` = Form submission
  * `7` = Video
* **step\_details (**`array)`: Depending on the type of step, it will include details about that step including the title, description, a file and other provide info by the organization.
  * **id (**`string`**)**: identifier of the sequence step field, which can be used across multiple sequences.
  * **title (**`string`**)**: Title of the sequence step field.
  * **description (**`string`**)**: description of the sequence step field
  * **user\_sequence\_info** (`Object`)&#x20;
    * *NOTE: If null, the user has no relationship with this step yet.*
    * **id (**`string`**)**: identifier of the user's sequence step field.
    * **status (**`integer`**)**: Title of the sequence step field.
      * `0` = Added
      * `1` = Completed
    * **completion\_date (**`string`**)**: Timestamp indicating the date this sequence step was completed (if applicable).
    * **expiration\_date (**`string`**)**: Timestamp indicating the date this sequence step expired (if applicable).
    * **expiration\_date (**`string`**)**: Timestamp indicating the date this sequence step expired (if applicable).
    * **attachment\_added** (`string`): URL to the file uploaded for this user's sequence step (if applicable).

[^1]:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vomevolunteer.com/resources/editor-2/the-user-sequence-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
